<div *ngIf="group.active" class="yellow">

  <ui-title *ngIf="group.title" [title]="group.title"></ui-title>
  <ui-messages *ngIf="group.msgs" [msgs]="group.msgs"></ui-messages>

  <fieldset [disabled]="group.attrs.disabled">
    <div [formGroup]="group.group" class="group">

      <ui-messages *ngIf="group.errors.length" [msgs]="group.errors">
        </ui-messages>

      <ng-container *ngIf="group.controls.length">
        <ng-container *ngFor="let ctrl of group.controls;">

          <div *ngIf="ctrl.active" [ngClass]="ctrl.class.shell" class="shell">
            <ng-container resolve-config [input]="ctrl" [ctx]="{group: group, form: form, page: page}">
              </ng-container>
          </div>

        </ng-container>
      </ng-container>

    </div>
  </fieldset>
</div>
